List wallets
GET
/v1/organization/billing/wallets// Use a delegated user OAuth token with org:billing:read in its issuing region.
const bird = new BirdClient({ apiKey: process.env.BIRD_OAUTH_ACCESS_TOKEN!, region: "eu1" });
await bird.billingWallets.list();import os
# Use a delegated user OAuth token with org:billing:read in its issuing region.
client = Bird(api_key=os.environ["BIRD_OAUTH_ACCESS_TOKEN"], region="eu1")
client.billing_wallets.list()// Use a delegated user OAuth token with org:billing:read in its issuing region.
client, err := bird.NewClient(option.WithAPIKey(os.Getenv("BIRD_OAUTH_ACCESS_TOKEN")), option.WithRegion("eu1"))
if err != nil {
log.Fatal(err)
}
ctx := context.Background()
result, err := client.BillingWallets.List(ctx)
if err != nil {
log.Fatal(err)
}
fmt.Println(result)// Use a delegated user OAuth token with org:billing:read in its issuing region.
$bird = new Bird(getenv('BIRD_OAUTH_ACCESS_TOKEN') ?: '', region: 'eu1');
$bird->billingWallets->list();curl -X GET "https://us1.platform.bird.com/v1/organization/billing/wallets" \
-H "Authorization: Bearer $TOKEN"Response200
{
"data": [
{
"id": "wal_01krdgeqcxet5s7t44vh8rt9mg",
"currency_code": "USD",
"balance": "118.00",
"settled_balance": "150.00",
"renewal_reserved": "25.00",
"renewal_required": "30.00",
"collection_status": "none",
"collection_renewal": "30.004",
"collection_required": "42.00",
"collection_usage_buffer": "10.00",
"collection_deficit": "2.00",
"credit_limit": "0.00"
}
]
}
Returns all wallets for the organization. A wallet is created automatically with the organization and pays usage charges. Amounts are decimal strings in currency_code; balance is the amount currently available to spend, excluding additional credit_limit headroom. Requires a delegated user OAuth token with org:billing:read; workspace and organization master API keys are refused with 403.
Response Payload
dataarray of object
required
Related resources
Continue with the documentation, guides and examples for this topic.